## python-oldmemo 1.0.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Oldmemo
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-oldmemo (1.0.3-3) unstable; urgency=medium

  * Remove stale dependency on python3-hkdf (Closes: #1081382)

 -- Martin <debacle@debian.org>  Wed, 11 Sep 2024 19:53:02 +0000

python-oldmemo (1.0.3-2) unstable; urgency=medium

  * Source-only upload
  * Re-create oldmemo_pb2.py and oldmemo_pb2.pyi from source

 -- Martin <debacle@debian.org>  Mon, 05 Dec 2022 22:31:11 +0000

python-oldmemo (1.0.3-1) unstable; urgency=medium

  * Initial package (Closes: #1023294)

 -- Martin <debacle@debian.org>  Sun, 04 Dec 2022 22:47:35 +0000

=== debian/control ===
Source: python-oldmemo
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	dh-python,
	mypy-protobuf,
	protobuf-compiler,
	python3-all,
	python3-cryptography,
	python3-doubleratchet (>= 1~),
	python3-nacl,
	python3-omemo (>= 1~),
	python3-protobuf,
	python3-setuptools,
	python3-typing-extensions,
	python3-x3dh (>= 1~),
	python3-xeddsa (>= 1~),
	python3-xmlschema,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/Syndace/python-oldmemo
Vcs-Git: https://salsa.debian.org/xmpp-team/python-oldmemo.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/python-oldmemo

Package: python3-oldmemo
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: python-omemo backend for OMEMO 1
 Backend implementation for python-omemo, equipping python-omemo with
 support for OMEMO under the namespace eu.siacs.conversations.axolotl
 (casually/jokingly referred to as "oldmemo").

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oldmemo

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	protoc --python_out=oldmemo/ --mypy_out=oldmemo/ oldmemo.proto

## python-oldmemo 1.1.0

=== requirements.txt ===
OMEMO>=1.0.0,<2
DoubleRatchet>=1.0.0,<2
X3DH>=1.0.0,<2
XEdDSA>=1.0.0,<2
cryptography>=3.3.2
protobuf>=3.20.3
typing-extensions>=4.3.0
xmlschema>=2.0.2

=== debian/changelog ===
python-oldmemo (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 31 Mar 2025 19:47:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh-python,
 	mypy-protobuf,
 	protobuf-compiler,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-cryptography,
 	python3-doubleratchet (>= 1~),

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Syndace/python-oldmemo.git \
refs/tags/v@ANY_VERSION@ \
debian

## python-oldmemo 2.0.0

=== debian/changelog ===
python-oldmemo (2.0.0-2ubuntu1) resolute; urgency=medium

  * Don't install build directory (dh-python issue) (See #1127763)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Feb 2026 15:40:20 +0100

python-oldmemo (2.0.0-2) unstable; urgency=medium

  * Remove superfluous files under dist-packages

 -- Martin <debacle@debian.org>  Tue, 18 Nov 2025 00:44:49 +0000

python-oldmemo (2.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 20:39:49 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 execute_before_dh_auto_build:
 	protoc --python_out=oldmemo/ --mypy_out=oldmemo/ oldmemo.proto
+
+execute_after_dh_auto_install:
+	rm -rf $(CURDIR)/debian/python3-oldmemo/usr/lib/python3.*/dist-packages/docs/ \
+	$(CURDIR)/debian/python3-oldmemo/usr/lib/python3.*/dist-packages/build
